libzypp: zypp::Repository::ProductInfoIterator Class Reference

libzypp 17.38.5

zypp::Repository::ProductInfoIterator Class Reference

Query class for Repository related products. More...

`#include <zypp/Repository.h>`

Inheritance diagram for zypp::Repository::ProductInfoIterator:

## Public Member Functions
| ProductInfoIterator ()
std::string | label () const
| Product label.
CpeId | cpeId () const
| The Common Platform Enumeration name for this product.

## Private Member Functions
| ProductInfoIterator (sat::SolvAttr attr_r, Repository repo_r)
| Hide ctor as just a limited set of attributes is valid.
int | dereference () const

## Friends
class | Repository
class | boost::iterator_core_access

## Detailed Description

Query class for Repository related products.

Products are identified by CpeIds within the repositories metadata.

See also
  http://en.opensuse.org/Standards/Rpm_Metadata#SUSE_repository_info_.28suseinfo.xml.29.2C_extensions_to_repomd.xml

The iterator does not provide a dereference operator so you can do * on it, but you can access the attributes of each related product directly from the iterator.

for_( it, repo.compatibleWithProductBegin(), repo.compatibleWithProductEnd() )
{
cout << it.label() << ": " << it.cpeid() << endl;
}
for_
#define for_(IT, BEG, END)
Convenient for-loops using iterator.
Definition Easy.h:27
zypp::repo
Definition DeltaCandidates.cc:30

Definition at line 376 of file Repository.h.

## Constructor & Destructor Documentation

## ◆ ProductInfoIterator() [1/2]

zypp::Repository::ProductInfoIterator::ProductInfoIterator | ( |  | ) |
| inline

Definition at line 385 of file Repository.h.

## ◆ ProductInfoIterator() [2/2]

zypp::Repository::ProductInfoIterator::ProductInfoIterator | ( | sat::SolvAttr | attr_r,
|  | Repository | repo_r )
| explicitprivate

Hide ctor as just a limited set of attributes is valid.

Definition at line 439 of file Repository.cc.

## Member Function Documentation

## ◆ label()

std::string zypp::Repository::ProductInfoIterator::label | ( |  | ) | const

Product label.

Definition at line 442 of file Repository.cc.

## ◆ cpeId()

CpeId zypp::Repository::ProductInfoIterator::cpeId | ( |  | ) | const

The Common Platform Enumeration name for this product.

Definition at line 445 of file Repository.cc.

## ◆ dereference()

int zypp::Repository::ProductInfoIterator::dereference | ( |  | ) | const
| inlineprivate

Definition at line 401 of file Repository.h.

## Friends And Related Symbol Documentation

## ◆ Repository

friend class Repository
| friend

Definition at line 395 of file Repository.h.

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 400 of file Repository.h.

The documentation for this class was generated from the following files:

- zypp/Repository.h
- zypp/Repository.cc